## ros-noetic-marti-can-msgs 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(marti_can_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs)

add_message_files(FILES
  CanFrame.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
)

=== debian/changelog ===
ros-noetic-marti-can-msgs (0.11.0-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David Anthony <danthony@swri.org>  Thu, 04 Aug 2022 17:33:52 -0000

ros-noetic-marti-can-msgs (0.10.0-1buster) buster; urgency=high

  * Add explicit dependencies on std_msgs (#110 <https://github.com/swri-robotics/marti_messages/issues/110>)
  * Update minimum cmake version (#108 <https://github.com/swri-robotics/marti_messages/issues/108>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-noetic-marti-can-msgs (0.9.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-noetic-marti-can-msgs (0.8.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.7.0-1buster) buster; urgency=high

  * Update Maintainers
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.6.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.5.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.4.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-noetic-marti-can-msgs (0.3.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.2.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.1.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.9-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.8-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.7-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-noetic-marti-can-msgs (0.0.6-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.5-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.4-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.3-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-noetic-marti-can-msgs (0.0.2-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-noetic-marti-can-msgs (0.0.1-1buster) buster; urgency=high

  * Initial Release
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-marti-can-msgs
Section: misc
Priority: optional
Maintainer: David Anthony <danthony@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-noetic-marti-can-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: marti_can_msgs

## ros-noetic-marti-can-msgs 0.12.1

=== debian/changelog ===
ros-noetic-marti-can-msgs (0.12.1-1focal) focal; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 18 Aug 2023 05:00:00 -0000

ros-noetic-marti-can-msgs (0.12.0-1focal) focal; urgency=high

  * Updating maintainer list (#128 <https://github.com/swri-robotics/marti_messages/issues/128>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 15 Aug 2023 05:00:00 -0000

ros-noetic-marti-can-msgs (0.10.0-1focal) focal; urgency=high

  * Add explicit dependencies on std_msgs (#110 <https://github.com/swri-robotics/marti_messages/issues/110>)
  * Update minimum cmake version (#108 <https://github.com/swri-robotics/marti_messages/issues/108>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-noetic-marti-can-msgs (0.9.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-noetic-marti-can-msgs (0.8.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.7.0-1focal) focal; urgency=high

  * Update Maintainers
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.6.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.5.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-noetic-marti-can-msgs (0.4.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-noetic-marti-can-msgs (0.3.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.2.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.1.0-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.9-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.8-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.7-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-noetic-marti-can-msgs (0.0.6-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.5-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.4-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-noetic-marti-can-msgs (0.0.3-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-noetic-marti-can-msgs (0.0.2-1focal) focal; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-noetic-marti-can-msgs (0.0.1-1focal) focal; urgency=high

  * Initial Release
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-noetic-marti-can-msgs
 Section: misc
 Priority: optional
-Maintainer: David Anthony <danthony@swri.org>
+Maintainer: Southwest Research Institute <swri-robotics@swri.org>
 Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
 Homepage: https://github.com/swri-robotics/marti_messages
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-marti-can-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
